Subject: Re: [PATCH V3 robh dt/next] dt-bindings: mfd: add Broadcom CRU

From: Lee Jones <[email-masked]>
Date: Fri, 21 May 2021 08:31:50 +0100

On Fri, 21 May 2021, Rafał Miłecki wrote:

> On 21.05.2021 09:12, Lee Jones wrote:
> > On Thu, 20 May 2021, Rob Herring wrote:
> > 
> > > On Wed, May 19, 2021 at 1:40 PM Rafał Miłecki <[email-masked]> wrote:
> > > > 
> > > > From: Rafał Miłecki <[email-masked]>
> > > > 
> > > > CRU is a block used in e.g. Northstar devices. It can be seen in the
> > > > bcm5301x.dtsi and this binding documents its proper usage.
> > > > 
> > > > Signed-off-by: Rafał Miłecki <[email-masked]>
> > > > Reviewed-by: Rob Herring <[email-masked]>
> > > > ---
> > > > Rob: would you take this patch through your dt/next?
> > > 
> > > I can't, I don't have the dependencies. It looks like 08e9fdfbb224 is
> > > already upstream. For ac5f8197d15c, I could get a stable branch from
> > > Linus, but I can't take some random github branch. Even if I got a
> > > stable branch for that, that's a lot of extra work for me for 1 patch
> > > compared to waiting til next cycle.
> > > 
> > > My suggestion is get a stable branch/tag from Linus, merge that into
> > > the Broadcom branch and then apply this patch. Though really, Linus
> > > needed to know the dependency when applying the patch if he doesn't
> > > rebase his tree. (I realize the dependency probably happened because
> > > of the review).
> > > 
> > > > 
> > > > V2: Use complete binding & change additionalProperties to false
> > > > V3: Use clock-controller@ for clocks
> > > > 
> > > > NOTICE: this patch is based on top of the linux-next as it requires:
> > > > ac5f8197d15c ("dt-bindings: pinctrl: convert Broadcom Northstar to the json-schema")
> > > > 08e9fdfbb224 ("dt-bindings: thermal: brcm,ns-thermal: Convert to the json-schema")
> > > > AND merged [email-masked]:Broadcom/stblinux.git devicetree/next as it requires:
> > > > 8f711f68cffd ("dt-bindings: clock: brcm, iproc-clocks: convert to the json-schema")
> > > > 
> > > > This is reworked version of the
> > > > [PATCH robh next] dt-bindings: bus: add Broadcom CRU
> > > > https://patchwork.ozlabs.org/project/devicetree-bindings/patch/[email-masked]/
> > > > ---
> > > >   .../devicetree/bindings/mfd/brcm,cru.yaml     | 86 +++++++++++++++++++
> > > >   1 file changed, 86 insertions(+)
> > > >   create mode 100644 Documentation/devicetree/bindings/mfd/brcm,cru.yaml
> > 
> > What's the dependency here?  It's a new file that doesn't reference anything.
> 
> Without dependencies it will cause warnings for those running "dt_binding_check".

No one runs that, it's full of warnings. ;)

> I didn't find it critical so I thought Rob can take in on a promise of
> what is queued for the next release. It appears Rob has more strict
> rules so I'll just have to wait for stuff to land in Linus's tree :)

Rob isn't the one taking the patch. :D

I'll apply it in a few days, unless Rob shouts real-loud!

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel